petsc-3.4.2 2013-07-02

# SNESSetInitialFunctionNorm

Sets the function norm to be used as the function norm at the initialization of the method. In some instances, the user has precomputed the function and its norm before calling SNESSolve. This function allows one to avoid a redundant call to SNESComputeFunction() and VecNorm() in that case.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESSetInitialFunctionNorm(SNES snes, PetscReal fnorm)

Logically Collective on SNES

### Input Parameters

| snes | - the SNES context
| fnorm | - the norm of F as set by SNESSetInitialFunction()

This is used extensively in the SNESFAS hierarchy and in nonlinear preconditioning.

### Keywords

SNES, nonlinear, set, function, norm

### See Also

SNESSetFunction(), SNESComputeFunction(), SNESSetInitialFunction()

Level:developer
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages